Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002706 [JEDI VCL] 00 JVCL Components block always 2005-03-02 04:06 2005-05-23 15:14
Reporter anonymous View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.00 BETA 2
Summary 0002706: TJvPageList editor looses focus when adding new items, and cannot be brought to focus again.
Description When adding a new page in the TJvPageList editor, the editor looses focus, and cannot be restored at all. The editor is completely covered by the Delphi IDE. I must move the IDE aside to find the editor, and when i find it, no matter where i click in the editor, the editor window cannot get focus.
Then to close it, i must close the form on which the PageList resides to close the editor.

Additional Information This problem occurs in the Delphi2005-Enterprise-update1 IDE.
The JVCL is 3.00 RC1
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0006627)
user72
2005-03-02 06:40

Works fine in D5-D7 for me. Is this with D2k5?
(0006639)
anonymous (viewer)
2005-03-03 09:48

yes,
This problem occurs in the Delphi2005-Enterprise-update1 IDE.
The JVCL is 3.00 RC1
(0007326)
AHUser (developer)
2005-05-23 15:14

The BringToFront in TJvCustomPageList.SetActivePage set the focus to something other than the wanted.

This is now fixed.

- Issue History
Date Modified Username Field Change
2005-03-02 04:06 anonymous New Issue
2005-03-02 06:40 user72 Note Added: 0006627
2005-03-02 06:40 user72 Status new => feedback
2005-03-03 09:48 anonymous Note Added: 0006639
2005-05-23 15:14 AHUser Status feedback => resolved
2005-05-23 15:14 AHUser Resolution open => fixed
2005-05-23 15:14 AHUser Assigned To => AHUser
2005-05-23 15:14 AHUser Note Added: 0007326


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker